Subject: bug#39575: guix time-machine fails when a tarball was modified in-place

From: Ludovic Courtès <[email-masked]>
Date: Mon, 17 Feb 2020 15:40:13 +0100

Hi,

zimoun <[email-masked]> skribis:

> On Sun, 16 Feb 2020 at 11:59, Ludovic Courtès <[email-masked]> wrote:
>> zimoun <[email-masked]> skribis:
>> > On Fri, 14 Feb 2020 at 22:34, Ludovic Courtès <[email-masked]> wrote:
>
>> >> Also, one could argue that we’d steer users towards downloading from our
>> >> server, which could be a privacy concern (probably not a strong argument
>> >> since one can easily change the substitute URLs.)
>> >
>> > I am not following the privacy concern.
>> > What do you mean?
>>
>> I mean that by default, someone who’s disabled substitutes (presumably
>> out of security or privacy concerns) would find themself downloading
>> source code from ci.guix.gnu.org instead of various upstream sites.

[...]

> By privacy concern, do you mean that Guix could collect who downloads
> what; in a central fashion? Which is not the case when one downloads
> from several distributed upstream sources. Right?

Exactly.  But like I wrote above, I don’t think it’s a strong argument.

What remains is the issue with ‘content-addressed-item?’, then.

Ludo’.